org.apache.cassandra.db

## Class WriteResponse.WriteResponseSerializer

- java.lang.Object
- - org.apache.cassandra.db.WriteResponse.WriteResponseSerializer

All Implemented Interfaces:
  IVersionedSerializer<WriteResponse>

Enclosing class:
  WriteResponse

    public static class WriteResponse.WriteResponseSerializer
    extends java.lang.Object
    implements IVersionedSerializer<WriteResponse>

### Constructor Summary

Constructors
Constructor and Description
`WriteResponse.WriteResponseSerializer()`

### Method Summary

Methods
`WriteResponse` `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(WriteResponse wm, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(WriteResponse response, int version)` Calculate serialized size of object without actually serializing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriteResponse.WriteResponseSerializer

    public WriteResponse.WriteResponseSerializer()

### Method Detail

#### serialize

    public void serialize(WriteResponse wm,
                 DataOutputPlus out,
                 int version)
                   throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Serialize the specified type into the specified DataOutputStream instance.

Specified by:
  `serialize` in interface `IVersionedSerializer<WriteResponse>`
Parameters:
  `wm` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
  `version` - protocol version
Throws:
  `java.io.IOException`

#### deserialize

    public WriteResponse deserialize(java.io.DataInput in,
                            int version)
                              throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Deserialize into the specified DataInputStream instance.

Specified by:
  `deserialize` in interface `IVersionedSerializer<WriteResponse>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - protocol version
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(WriteResponse response,
                      int version)

Description copied from interface: `IVersionedSerializer`
Calculate serialized size of object without actually serializing.

Specified by:
  `serializedSize` in interface `IVersionedSerializer<WriteResponse>`
Parameters:
  `response` - object to calculate serialized size
  `version` - protocol version
Returns:
  serialized size of object t